cmake_minimum_required(VERSION 3.28)
project(ncurses_demo1)

set(CMAKE_CXX_STANDARD 17)

find_package(Curses REQUIRED)

add_executable(ncurses_demo1 src/main.cpp)
target_include_directories(ncurses_demo1 PUBLIC ${Curses_INCLUDE_DIRS})
target_link_libraries(ncurses_demo1 Curses::Curses)
